Skip to main content
`Ctrl`+`K`

# PEP

SLEPc object that manages all the polynomial eigenvalue problem solvers.

## Synopsis

    typedef struct _p_PEP* PEP;

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPCreate()`

## Level

beginner

## Location

include/slepcpep.h

## Examples

src/pep/tutorials/ex16f.F90
src/pep/tutorials/ex50.c
src/pep/tutorials/ex38.c
src/pep/tutorials/ex40.c
src/pep/tutorials/ex16.c
src/pep/tutorials/ex17.c
src/pep/tutorials/ex28.c

## Implementations

_p_PEP in include/slepc/private/pepimpl.h
PEP_CISS in src/pep/impls/ciss/pciss.c
PEP_JD in src/pep/impls/jd/pjd.c
PEP_TOAR in src/pep/impls/krylov/pepkrylov.h
PEP_QInfo in src/pep/impls/krylov/pepkrylov.h
PEP_STOAR in src/pep/impls/krylov/pepkrylov.h
PEP_QARNOLDI in src/pep/impls/krylov/qarnoldi/qarnoldi.c
PEP_LINEAR in src/pep/impls/linear/linear.h

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages